Summary:	%{_vendor} Online Update Tool
Name:		mgaonline
Version:	2.77.33
Release:        %mkrel 1
Source0:        %{name}-%{version}.tar.xz
URL:            http://www.mageia.org
License:        GPLv2+
Group:          System/Configuration/Other
# for LWP::UserAgent:
Requires:       perl-libwww-perl
Requires:       drakxtools-curses
# for gurpmi.addmedia & update API:
Requires:       rpmdrake
# For adding restricted media:
Requires:       perl-Crypt-SSLeay
# for good gurpmi:
Requires:       urpmi
Requires:       gurpmi
Requires:       libdrakx-net

BuildRequires: 	gettext
BuildRequires:  perl-MDK-Common-devel

BuildArch: 	noarch

# No file conflicts, just for upgrade:
Obsoletes:	mdkonline < %{version}-%{release}
Provides:	mdkonline = %{version}-%{release}

%description
The Mageia Online tool allows users to be kept informed about security
updates, hardware support/enhancements and other high value services.
The package include :
* Update daemon which allows you to install security updates 
  automatically,
* A KDE/Gnome/IceWM compliant applet for security updates notification
  and installation. 


%prep
%setup -q

%build
perl -pi -e 's!my \$ver = 1;!my \$ver = '"'%{version}-%{release}'"';!' mgaapplet

%install
make PREFIX=%{buildroot} install

#symbolic link to drakonline and older path
mkdir -p %{buildroot}%{_prefix}/X11R6/bin/

mkdir -p %{buildroot}%{_sysconfdir}/cron.daily/
touch %{buildroot}%{_sysconfdir}/cron.daily/mgaupdate

#if %mdkversion < 201100
mkdir -p %{buildroot}%{_sysconfdir}/X11/xinit.d
cat > %{buildroot}%{_sysconfdir}/X11/xinit.d/mgaapplet <<EOF
#!/bin/sh
DESKTOP=\$1
case \$DESKTOP in
   IceWM|Fluxbox) exec /usr/bin/mgaapplet;;
esac
EOF

chmod +x %{buildroot}%{_sysconfdir}/X11/xinit.d/mgaapplet
#endif

# install lang
%find_lang %{name}

mkdir -p %{buildroot}%{_sysconfdir}/xdg/autostart
cat > %{buildroot}%{_sysconfdir}/xdg/autostart/%{_real_vendor}-%{name}.desktop <<EOF
[Desktop Entry]
Name=%{_vendor} Online Applet
Comment=Applet for %{_vendor} Online
Exec=%{_bindir}/mgaapplet
Icon=mgaonline
Type=Application
StartupNotify=true
Categories=Settings;Network;
X-KDE-autostart-after=kdesktop
EOF

%post
grep -q pi.mandriva.com/mirror  /usr/lib/perl5/vendor_perl/5.*/urpm/mirrors.pm && \
 perl -pi -i.bak -e '$_ = "\t\"http://mirrors.mageia.org/api/mageia.\$product_version.\$arch.list\"\n" if m!https://api.mandriva.com/mirrors/!' \
 /usr/lib/perl5/vendor_perl/5.*/urpm/mirrors.pm || :

%files -f %{name}.lang
%doc COPYING
%{_sbindir}/mgaapplet-config
%{_sbindir}/mgaapplet-*-helper
%{_sbindir}/mgaupdate
%{_bindir}/*
%dir %{_prefix}/lib/libDrakX/drakfirsttime
%{_prefix}/lib/libDrakX/drakfirsttime/*.pm
%{_sysconfdir}/xdg/autostart/%{_real_vendor}-%{name}.desktop
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_datadir}/mime/packages
%{_datadir}/mimelnk/application
%{_datadir}/%{name}/pixmaps
#if %mdkversion < 201100
%{_sysconfdir}/X11/xinit.d/mgaapplet
#endif
%{_sysconfdir}/security/console.apps/urpmi.update
%{_sysconfdir}/pam.d/urpmi.update
%ghost %config(noreplace) %{_sysconfdir}/cron.daily/mgaupdate
%config(noreplace) %{_sysconfdir}/sysconfig/mgaapplet


%changelog

* Sat Apr 21 2012 tv <tv> 2.77.33-1.mga2
+ Revision: 232423
- invalidate urpmi cache on upgrade (mga#1588)

* Thu Mar 15 2012 kamil <kamil> 2.77.32-1.mga2
+ Revision: 223456
- new tarball 2.77.32
  * stop using Mandriva URLs and replace them by www.mageia.org (mga#1590)
  * replace Mandriva strings by Mageia in gnome-mandrakeonline.desktop
  * replace MIME Type application/x-mdv-exec by application/x-mga-exec
  * extend $MGA_YEARS in mgaupdate to 2012
  * delete MANDRIVA_VERSION variable as not used
- replace obsolete drakx-newt with drakxtools-curses
- stop using MANDRIVA_VERSION in %%install
- rename mandriva-mgaonline.desktop with mageia-mgaonline.desktop
- clean Categories in the .desktop file (remove X-Mandriva-* entry)
- remove %%update_desktop_database and %%clean_desktop_database (not used anymore)
- remove %%update_mime_database and %%clean_mime_database (not used anymore)
- clean .spec

  + tv <tv>
    - drop support for mdv2007.x/2008.x/2009.x

* Tue Jun 14 2011 tv <tv> 2.77.30-2.mga2
+ Revision: 106058
- drop old provides/obsoletes on mdkonline-backend which is dead for quite a lot years

  + dmorgan <dmorgan>
    - Remove buildroot definition, this is useless now

* Tue Jun 14 2011 dmorgan <dmorgan> 2.77.30-1.mga2
+ Revision: 106016
- Fix libnotify API

  + ze <ze>
    - correct renaming
    - use native rpm macros instead variables,not both in same spec

* Sat May 28 2011 tmb <tmb> 2.77.29-1.mga1
+ Revision: 100619
- move gurpmi upgrade log to .MgaOnline/ too so /root stays clean

* Sat May 28 2011 tmb <tmb> 2.77.28-1.mga1
+ Revision: 100612
- disable suggesting powerpack upgrade (mga #1153)
- dont pollute homedir with urpmi.cfg backup files

* Fri May 27 2011 tmb <tmb> 2.77.27-2.mga1
+ Revision: 100591
- revert api url change so it matches urpmi and mageia api server

* Fri May 27 2011 tv <tv> 2.77.27-1.mga1
+ Revision: 100549
- disable features not supported on Mageia but that do exist on mdv:
  Enterprise Media, Extended Maintenance, Restricted media (mga#1153)
- fix mirror URI on mdv

* Wed May 25 2011 ahmad <ahmad> 2.77.26-4.mga1
+ Revision: 100357
- Use the Mageia official website in the URL tag

* Tue May 24 2011 ahmad <ahmad> 2.77.26-3.mga1
+ Revision: 100317
- Make sure the the %%post scriptlet doesn't display an error when it exits
  with 1, as it will always fail on a Mageia system (supposed to work on a
  Mandriva system when the user installs mgaonline to upgrade to Mageia)

* Mon May 23 2011 tv <tv> 2.77.26-2.mga1
+ Revision: 100263
- switch mirrorlist API from mdv to mga in %%post

* Sat May 21 2011 tv <tv> 2.77.26-1.mga1
+ Revision: 100058
- handle both MageiaUpdate & MandrivaUpdate

* Thu May 19 2011 tv <tv> 2.77.25-1.mga1
+ Revision: 99713
- use https protocol instead of http in order to retrieve distro list

* Sat May 14 2011 ennael <ennael> 2.77.24-1.mga1
+ Revision: 98795
- update icons and pixmaps for Mageia

* Sat May 14 2011 ennael <ennael> 2.77.23-1.mga1
+ Revision: 98756
- fix typo in MageiaUpdate name

* Fri May 13 2011 tv <tv> 2.77.22-1.mga1
+ Revision: 98120
- imported package mgaonline

